|  |  | 12.1 Command line options

## 12.1 Command line options

#### Ipe command line options

Ipe supports the following command line options:

`-sheet` style sheet name
  Adds the designated style sheet to any newly created documents.
`-show-configuration`
  With this option, Ipe will display the current configuration options on stdout, and terminate.

In addition, you can specify the name of an Ipe file to open on the command line. Ipe also understands all options supported by the Qt library.

#### Ipeview: a minimal Ipe viewer

Ipeview allows you to quickly view an Ipe file without starting the Ipe program.

#### Ipetoipe: converting Ipe file formats

The auxiliary program ipetoipe converts between the different Ipe file formats:

      ipetoipe ( -xml | -pdf | -eps ) { <options> } infile [ outfile ]

The first argument determines the format of the output file. If no output filename is provided, Ipe will try to guess it by appending one of the extensions "ipe", "pdf", or "eps" to the input file's basename.

For example, the command line syntax

      ipetoipe -pdf figure1.eps

converts figure1.eps to figure1.pdf.

Ipetoipe understands the following options:

`-export`
  No Ipe markup is included in the resulting output file. Ipe will not be able to open a file created that way, so make sure you keep your original!
`-markedview`
  (PDF only)
  Only the marked views of marked Ipe pages will be created in PDF format. If all views of a marked page are unmarked, the last view is exported. This is convenient to make handouts for slides.
`-pages` from-to
  (PDF only)
  Restrict exporting to PDF to this page range. This implies the `-export` option.
`-view` page-view
  Only export this single view from the document. This implies the `-export` option.
`-runlatex`
  Run Latex even for XML output. This has the effect of including the dimensions of each text object in the XML file.
`-nocolor`
  Do not use any color commands in Postscript output. This is useful if you are preparing a manuscript for publication where the publisher checks that the figures are grayscale only. Note that this option doesn't actually verify that the figure con- tains no color (a figure using color processed with this option will cause a Postscript error when displayed).
`-nozip`
  Do not compress streams in PDF or Postscript output.

#### Iperender: converting to a bitmap or SVG art

The program iperender converts a page of the document to a bitmap in PNG format or to scalable vector graphics in SVG format. (Of course the result contains no Ipe markup, so make sure you keep your original.) For instance, the following command line

      iperender -png -page 3 -resolution 150 presentation.pdf pres3.png

converts page 3 of the Ipe document `presentation.pdf` to a bitmap, with resolution 150 pixels per inch.

#### Ipeextract: extract XML stream from Ipe PDF or EPS file

Ipeextract extracts the XML stream from a PDF or EPS file and saves it in a file. It will work even if Ipe cannot actually parse the file, so you can use this tool to debug problems where Ipe fails to open your document.

    ipeextract infile [ outfile ]

If not provided, the outfile is guessed by appending "xml" to the infile's basename.

#### Ipe6upgrade: convert Ipe 6 files to Ipe 7 file format

Ipe6upgrade takes as input a file created by any version of Ipe 6, and saves in the format of Ipe 7.0.0.

    ipe6upgrade infile [ outfile ]

If not provided, the outfile is guessed by adding the extension "ipe" to the infile's basename.

#### Ipescript: running Ipe scripts

Ipescript runs an Ipe script written in the Lua language with bindings for the Ipe objects, such as the script "update-master". Ipescript automatically finds the script in Ipe's script directories. On Unix, you can place your own scripts in $HOME/.ipe/scripts.

The Ipe distribution contains the following scripts:

- update-master, explained earlier;
- add-style to add a stylesheet to Ipe figures;
- update-styles to update the stylesheets in Ipe figures (in the same way that Ipe does it using the "Update stylesheets" function).

#### Svgtoipe: Importing SVG figures

The auxiliary program svgtoipe converts an SVG figure to Ipe format. It cannot handle all SVG features (many SVG features are not supported by Ipe anyway), but it works for gradients.

svgtoipe is not part of the Ipe source distribution. You can download it separately.

#### Pdftoipe: Importing Postscript and PDF

You can convert arbitrary Postscript or PDF files into Ipe documents, making them editable. The auxiliary program pdftoipe converts (pages from) a PDF file into an Ipe XML-file. (If your source is Postscript, you have to first convert it to PDF using Acrobat Distiller or ps2pdf.) Once converted to XML, the file can be opened from Ipe as usual.

The conversion process should handle any graphics in the PDF file fine, but doesn't do very well on text--Ipe's text model is just too different.

pdftoipe is not part of the Ipe source distribution. You can download and build it separately.

#### Ipe5toxml: convert Ipe 5 files to Ipe 6 file format

If you still have figures that were created with Ipe 5, you can use ipe5toxml to convert them to Ipe 6 format. You can then use ipe6upgrade to convert them to Ipe 7 format.

ipe5toxml is not part of the Ipe distribution, but available as a separate download.

#### Figtoipe: Importing FIG figures

The auxiliary program figtoipe converts a figure in FIG format into an Ipe XML-file. This is useful if you used to make figures with Xfig before discovering Ipe, of if your co-authors made figures for your article with Xfig (converting them will have the added benefit of forcing your co-authors to learn to use Ipe). Finally, there are quite a number of programs that can export to FIG format, and figtoipe effectively turns that into the possibility of exporting to Ipe.

However, figtoipe is not quite complete. The drawing models of FIG and Ipe are also somewhat different, which makes it impossible to properly render some FIG files in Ipe. Ipe does not support depth ordering independent of grouping, pattern fill, and Postscript fonts. You may therefore have to edit the file after conversion.

figtoipe is not part of the Ipe distribution. You can download and build it separately. figtoipe is now maintained by Alexander Bürger.

|  |  | 12.1 Command line options